Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\Values\Content\Relation Class Reference
Inheritance diagram for eZ\Publish\Core\Repository\Values\Content\Relation:

## Public Member Functions
| getSourceContentInfo ()
| the content of the source content of the relation. More...
| getDestinationContentInfo ()
| the content of the destination content of the relation. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Attributes
| $sourceContentInfo
| $destinationContentInfo
Protected Attributes inherited from eZ\Publish\API\Repository\Values\Content\Relation
| $id
| $sourceFieldDefinitionIdentifier
| $type

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\Relation
const | COMMON = 1
const | EMBED = 2
const | LINK = 4
const | FIELD = 8
const | ASSET = 16
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 22 of file Core/Repository/Values/Content/Relation.php.

## Member Function Documentation

## ◆ getDestinationContentInfo()

eZ\Publish\Core\Repository\Values\Content\Relation::getDestinationContentInfo | ( |  | ) |

the content of the destination content of the relation.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo

Reimplemented from eZ\Publish\API\Repository\Values\Content\Relation.

Definition at line 53 of file Core/Repository/Values/Content/Relation.php.

References eZ\Publish\Core\Repository\Values\Content\Relation\$destinationContentInfo.

## ◆ getSourceContentInfo()

eZ\Publish\Core\Repository\Values\Content\Relation::getSourceContentInfo | ( |  | ) |

the content of the source content of the relation.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo

Reimplemented from eZ\Publish\API\Repository\Values\Content\Relation.

Definition at line 43 of file Core/Repository/Values/Content/Relation.php.

References eZ\Publish\Core\Repository\Values\Content\Relation\$sourceContentInfo.

## Member Data Documentation

## ◆ $destinationContentInfo

eZ\Publish\Core\Repository\Values\Content\Relation::$destinationContentInfo
| protected

Definition at line 36 of file Core/Repository/Values/Content/Relation.php.

Referenced by eZ\Publish\Core\Repository\Values\Content\Relation\getDestinationContentInfo().

## ◆ $sourceContentInfo

eZ\Publish\Core\Repository\Values\Content\Relation::$sourceContentInfo
| protected

Definition at line 29 of file Core/Repository/Values/Content/Relation.php.

Referenced by eZ\Publish\Core\Repository\Values\Content\Relation\getSourceContentInfo().

The documentation for this class was generated from the following file:

- Core/Repository/Values/Content/Relation.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.